> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Fiat Purchase

> Purchase returns the payment details required by Stripe



## OpenAPI

````yaml POST /v1/market/purchase
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/market/purchase:
    post:
      tags:
        - market
      summary: Purchase returns the payment details required by Stripe
      description: Purchase returns the payment details required by Stripe
      operationId: market-purchase
      requestBody:
        description: purchase request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.PurchaseRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.MarketPurchaseResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
components:
  schemas:
    api.PurchaseRequest:
      type: object
      properties:
        checkoutId:
          type: string
          example: 92353d2b-c3f5-4b3b-b214-c34b490b7324
        domain:
          type: string
          example: firstname.lastname
        externalUserId:
          type: string
          example: 248b8553-effa-4d99-a906-041a54f7df87
        ownerAddress:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        partnerId:
          type: string
          example: 248b8553-effa-4d99-a906-041a54f7df87
        stripeConnectedAccountId:
          type: string
          example: acct_1J1Z2X2Y2Z2X2Y2Z
        walletAddrs:
          type: array
          items:
            $ref: '#/components/schemas/api.AddressRecord'
        years:
          type: integer
          example: 1
    api.MarketPurchaseResponse:
      type: object
      properties:
        checkoutId:
          type: string
          example: 92353d2b-c3f5-4b3b-b214-c34b490b7324
        orderId:
          type: string
          example: 92456d2b-c315-4b2b-b234-c674490b7324
        stripeCheckoutSession:
          type: string
          example: cs_1234567890abcdef1234567890abcdef
        stripeCustomerId:
          type: string
          example: cus_1234567890abcdef1234567890abcdef
        stripeEphemeralKey:
          type: string
          example: ek_test_1234567890abcdef1234567890abcdef
        stripePublishableKey:
          type: string
          example: pk_test_1234567890abcdef1234567890abcdef
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.AddressRecord:
      type: object
      properties:
        addr:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        coinId:
          type: integer
          example: 60

````